Bug 372777 - no kwallet integration in 16.12
Summary: no kwallet integration in 16.12
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
: 379385 382574 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-11-22 07:27 UTC by Antonio Rojas
Modified: 2018-02-07 12:52 UTC (History)
8 users (show)

See Also:
Latest Commit:
Version Fixed In: 18.04.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Antonio Rojas 2016-11-22 07:27:10 UTC
konqueror 16.12 doesn't offer to save passwords or retrieve them from kwallet anymore (filing as bug instead of wishlist as it's a regression wrt the KDE4 version)
Comment 1 Wolfgang Bauer 2016-12-06 20:57:38 UTC
Actually this seems to be a limitation of the new webenginepart.
With kwebkitpart and khtml Konqueror 16.12 can save and retrieve passwords to/from kwallet.
Comment 2 Wolfgang Bauer 2016-12-06 21:01:37 UTC
(In reply to Wolfgang Bauer from comment #1)
> With kwebkitpart and khtml Konqueror 16.12 can save and retrieve passwords
> to/from kwallet.

Correction: apparently not any more, sorry. It definitely did work in the past (with kde-baseapps frameworks branch)
Comment 3 Wolfgang Bauer 2016-12-06 21:05:31 UTC
(In reply to Wolfgang Bauer from comment #2)
> (In reply to Wolfgang Bauer from comment #1)
> > With kwebkitpart and khtml Konqueror 16.12 can save and retrieve passwords
> > to/from kwallet.
> 
> Correction: apparently not any more, sorry. It definitely did work in the
> past (with kde-baseapps frameworks branch)

Please ignore my previous comment.

It does still work (with 16.11.90), I just had kwallet disabled (I did some testing with kwallet disabled a while ago and forgot that I disabled it, sigh)
Comment 4 Kevin Kofler 2017-01-10 18:30:01 UTC
The wallet stuff seems all under #if 0 in https://cgit.kde.org/konqueror.git/tree/webenginepart/src/webenginepart.cpp . No wonder it doesn't work.

I guess looking at how QupZilla does it would help there.
Comment 5 Antonio Rojas 2017-05-01 21:52:53 UTC
*** Bug 379385 has been marked as a duplicate of this bug. ***
Comment 6 avlas 2017-07-21 13:42:30 UTC
Mmm, is it still possible to use qtwebkit mode in ported konqueror to kf5? I thought it was disabled but some comments here point to it...
Comment 7 Wolfgang Bauer 2017-07-21 13:52:16 UTC
(In reply to avlas from comment #6)
> Mmm, is it still possible to use qtwebkit mode in ported konqueror to kf5? I
> thought it was disabled but some comments here point to it...

"qtwebkit mode" in Konqueror is (and always was) provided by a separate package named kwebkitpart.
It has been ported to KF5/Qt5, the source code is here:
https://cgit.kde.org/kwebkitpart.git/
Comment 8 avlas 2017-07-21 13:57:00 UTC
Awesome! 

Unfortunately it is not part of KDE neon User edition (as far as I can see), I guess this explains why the mode disappeared when I installed Konqueror's kf5 version...

I'll ask Jonathan Riddell whether he can package it...

Thanks
Comment 9 Wolfgang Bauer 2017-07-22 09:53:41 UTC
*** Bug 382574 has been marked as a duplicate of this bug. ***
Comment 10 avlas 2017-08-03 13:32:35 UTC
I know that what follows is not related to the bug itself. Sorry for the noise...

Unfortunately Jonathan Riddell couldn't find who is the maintainer of kwebkitpart (https://cgit.kde.org/kwebkitpart.git/) to ask whether a new version could be released, so he can add it to KDE neon User edition.

If you know, could you please help?
Comment 11 Martin Koller 2017-08-03 15:22:49 UTC
I cloned this repo and in git log I see

Author: Daniel Grosz <groszdanielpub@gmail.com>
Date:   Sat May 2 18:56:26 2015 +0200

    Initial KF5 port

Also some commits were done by
Jonathan Marten <jjm@keelhaul.me.uk>
and
David Faure <faure@kde.org>
Comment 12 avlas 2017-08-04 02:53:10 UTC
(In reply to Martin Koller from comment #11)
> I cloned this repo and in git log I see
> 
> Author: Daniel Grosz <groszdanielpub@gmail.com>
> Date:   Sat May 2 18:56:26 2015 +0200
> 
>     Initial KF5 port
> 
> Also some commits were done by
> Jonathan Marten <jjm@keelhaul.me.uk>
> and
> David Faure <faure@kde.org>

Thanks!
Comment 13 Markus 2017-10-21 11:16:24 UTC
Still not working in webengine 17.08.2.

qtwebkit is already deprecated. (Not yet available for qt 5.9.2 and will be removed completely in qt6.)
Comment 14 Wolfgang Bauer 2017-10-24 13:53:57 UTC
(In reply to Markus from comment #13)
> qtwebkit is already deprecated. (Not yet available for qt 5.9.2 and will be
> removed completely in qt6.)

That's not the full truth though.

QtWebKit is again being developed independently from Qt, like it was in Qt4 times:
http://qtwebkit.blogspot.co.at/2016/08/qtwebkit-im-back.html
Comment 15 Wolfgang Bauer 2018-02-07 12:52:56 UTC
kwallet support has been added to Konqueror's webenginepart now:
https://cgit.kde.org/konqueror.git/commit/?id=56ea2a32d2f1d9f4e6c97b27080cf8144a932ee3

And it seems to work fine here...